/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package open.dolphin.client.labotestimporter;

/**
 * 基準値情報一件を表現するクラス
 */
public class AverageInformation {

    private String normal;
    private String out;
    private String unitCode;
    private String unitCodeId;


    private String valueType;
    private String up;
    private String low;
    private String unit;

    public AverageInformation(String valueType, String up, String low, String unit) {
        this.valueType = valueType.trim();
        this.up = up.trim();
        this.low = low.trim();
        this.unit = unit.trim();
    }

    AverageInformation() {
    }

    public String getNormal() {
        return normal;
    }

    public void setNormal(String normal) {
        this.normal = normal;
    }

    public String getOut() {
        return out;
    }

    public void setOut(String out) {
        this.out = out;
    }

    /**
     *
     * @return
     */
    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitCodeId() {
        return unitCodeId;
    }

    /**
     *
     * @param unitCodeId
     */
    public void setUnitCodeId(String unitCodeId) {
        this.unitCodeId = unitCodeId;
    }

    public String getUp() {
        return up;
    }

    public void setUp(String up) {
        if (up == null) {
            this.up = null;
        } else {
            this.up = up.trim();
        }
    }

    /**
     *
     * @return
     */
    public String getLow() {
        return low;
    }

    public void setLow(String low) {
        if (low == null) {
            this.low = null;
        } else {
            this.low = low.trim();
        }
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit.trim();
    }

    public String getValueType() {
        return valueType;
    }

    public void setValueType(String valueType) {
        this.valueType = valueType.trim();
    }
}
